<div class="center">
  <form [formGroup]="banknoteForm" (ngSubmit)="onUpdate()">
    <div>
      <mat-form-field hintLabel="Positive count" appearance="legacy">
        <mat-label>Enter count</mat-label>
        <input type="number" matInput formControlName="count">
      </mat-form-field>
    </div>
    <div>
      <mat-form-field appearance="legacy">
        <mat-label>Banknote</mat-label>
        <mat-select formControlName="type">
          <mat-option>--</mat-option>
          <mat-option *ngFor="let banknoteType of banknoteCurrency" [value]="banknoteType.name">
            {{ banknoteType.name }}
          </mat-option>
        </mat-select>
        <mat-error *ngIf="banknoteTypeControl.hasError('required')">Please choose a banknote</mat-error>
      </mat-form-field>
    </div>
    <div>
      <hr class="hr">
      <button
        mat-raised-button
        type="submit"
        [disabled]="!banknoteForm.valid">Update</button>
    </div>
  </form>
</div>
